xmonad-contrib-0.12: Third party extensions for xmonad

Copyright | (c) Spencer Janssen <spencerjanssen@gmail.com> David Roundy <droundy@darcs.net>, Andrea Rossato <andrea.rossato@unibz.it>
License | BSD3-style (see LICENSE)
Maintainer | Andrea Rossato <andrea.rossato@unibz.it>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.DragPane

Contents

- Usage

Description

Layouts that splits the screen either horizontally or vertically and shows two windows. The first window is always the master window, and the other is either the currently focused window or the second window in layout order.

Synopsis

- dragPane :: DragType -> Double -> Double -> DragPane a
- data DragPane a
- data DragType
  - = Horizontal
  - | Vertical

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.DragPane

Then edit your `layoutHook` by adding the DragPane layout:

    myLayout = dragPane Horizontal 0.1 0.5 ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

dragPane :: DragType -> Double -> Double -> DragPane a Source

data DragPane a Source

Instances

LayoutClass DragPane a Source |
Read (DragPane a) Source |
Show (DragPane a) Source |

data DragType Source

Constructors

Horizontal |
Vertical |

Instances

Read DragType Source |
Show DragType Source |